| GET | /RestApi/recycle-bin/items |
|---|
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum
@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class FindRecycleBinItems(IRecycleBinItemFilter):
skip: Optional[int] = None
take: Optional[int] = None
order_expression: Optional[str] = None
type_name: Optional[str] = None
search_text: Optional[str] = None
Python FindRecycleBinItems DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfRecycleBinItemProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto">
<RecycleBinItemProxy>
<DataItemId>00000000-0000-0000-0000-000000000000</DataItemId>
<DateCreated>0001-01-01T00:00:00</DateCreated>
<DisplayTypeName>String</DisplayTypeName>
<Id>00000000-0000-0000-0000-000000000000</Id>
<ItemLanguage>String</ItemLanguage>
<ItemTitle>String</ItemTitle>
<ItemTypeName>String</ItemTypeName>
<OwnerName>String</OwnerName>
<ParentTitlesPath>String</ParentTitlesPath>
<ParentTypeName>String</ParentTypeName>
<ProviderName>String</ProviderName>
<Status>String</Status>
<StatusText>String</StatusText>
</RecycleBinItemProxy>
</ArrayOfRecycleBinItemProxy>